Lister les abonnements
curl --request GET \
--url https://api.example.com/v1/billing/subscriptionsimport requests
url = "https://api.example.com/v1/billing/subscriptions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/billing/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Abonnements
Lister les abonnements
Lister les abonnements de vos clients
GET
/
v1
/
billing
/
subscriptions
Lister les abonnements
Lister les abonnements
Endpoint
GET /v1/billing/subscriptions
| Paramètre | Type | Description |
|---|---|---|
status | string | INCOMPLETE, ACTIVE, PAST_DUE ou CANCELLED |
Les helpers
subscriptions.list() des SDKs appellent encore GET /v1/subscriptions, qui n’existe pas.Exemple
curl "https://api.sahelpay.ml/v1/billing/subscriptions?status=ACTIVE" \
-H "Authorization: Bearer sk_test_xxx"
Réponse
{
"success": true,
"data": {
"subscriptions": [
{
"id": "...",
"customer_phone": "+22370123456",
"status": "ACTIVE",
"next_billing_date": "2026-11-03T10:00:00.000Z",
"plan": { "id": "...", "name": "Premium Mensuel", "amount": 10000, "interval": "MONTHLY" },
"created_at": "2026-10-03T10:00:00.000Z"
}
],
"pagination": { "total": 1 }
}
}